.csection {
  background: url('../../images/c-section/bg.png') no-repeat bottom center;
  min-height: 100vh;
  padding-top: 100px;
  text-align:center;
  font-family: 'GothamRounded-Book';
  color: #303030;
  margin-bottom:50px; 

  h1 {
    font-family: 'GothamRounded-Bold';
    font-size: 32px;
    color: #17479E;
  }

  .btn-primary {
    background: linear-gradient(#4296C8, #17469E);
    font-family: 'GothamRounded-Medium';
    font-size: 14px;
    padding: 15px 70px;
    border-radius: 70px;
  }

  &.--landing {
    p {
      font-size: 21px;

      @include breakpoint(mobile){
        font-family: 'GothamRounded-Bold';
        font-size:4vw;
        line-height: 18px;
      }
  
      &.small {
        font-size: 16px;
        @include breakpoint(mobile){
          font-size:4vw;
          font-family: 'GothamRounded-Bold';
        }
      }
      &.footnote {
        font-size:11px;
        position:absolute;
        bottom:0;
        left:0;
        width:100%;

        @include breakpoint(mobile){
          position:static;
          margin: 30px 0;
          font-size:4vw;
        }
      }
    }

    #decoration {
      position:absolute;
      bottom:0;
      right:0;

      @include breakpoint(mobile){
        display:none;
      }
    }

    #decoration-xs {
      display:none;

      @include breakpoint(mobile){
        display: block;
        width: 60%;
        margin:auto;
      }
    }
  }
  

  &.--preass {
    h1 {
      font-size: 21px;
      @include breakpoint(mobile){
        font-size:5.2vw;
      }
    }
    form {
      text-align: left;
      margin-top: 50px;

      input[readonly] {
        background: #fff;
      }

      label {
        font-size: 12px;
        color:#808080;
      }

      .form-control {
        border-color: #D5E7F3;
        border-radius: 20px;
      }

      .input-group {
        border: 1px solid #D5E7F3;
        border-radius: 20px;
        overflow:hidden;
        background: #fff;

        .form-control {
          border:none;
          border-radius:0;
        }

        .input-group-text{
          border:none;
          background: transparent;
        }
      }
    }
  }

  &.--form {
    h1, p {
      text-align: left;
    }
    h1 {
      font-size: 16px;
      font-family: 'GothamRounded-Bold';

      @include breakpoint(mobile){
        margin-top: 25px;
        text-align: center;
      }
    }
    p {
      font-size: 13px;
      color:#404040;
      @include breakpoint(mobile){
        text-align: center;
      }
    }
    form {
      margin-top: 0;
    }
    .decoration {
      display: flex;
      align-items: center;
    }
  }

  &.--result {
    h1 {
      font-size: 21px;
    }

    .result-summary {
      p {
        font-size: 18px;
        font-family: 'GothamRounded-Medium';

        strong {
          color: #17469E;
          font-family: 'GothamRounded-Bold';
        }
      }
    }

    .result-yuk {
      background: #fff;
      border: 1px solid #ddd;
      border-radius: 20px;
      padding: 20px;
      margin-bottom: 30px;

      h4 {
        font-family: 'GothamRounded-Book';
        font-size: 14px;
      }
      p {
        font-family: 'GothamRounded-Book';
        font-size: 12px;
      }
    }

    .result-high {
      p {
        font-size: 16px;
        font-family: 'GothamRounded-Book';
      }
    }

    .result-list {
      background:#fff;
      border:1px solid #ddd;
      border-radius:10px;

      &-item {
        display: flex;
        align-items: center;
        border-bottom:1px solid #ddd;
        justify-content: space-between;
        padding:0 30px;

        @include breakpoint(mobile){
          padding:0 15px;  
        }

        &:last-child {
          border:0;
        }
      }

      &-img {
        height: 80px;

        img {
          height: 100%;
          object-fit: cover;
        }

        @include breakpoint(mobile){
          width: 50px;
          height: 50px;

          img {
            width: 100%;
            height: 100%;
            object-fit: contain;
          }
        }
      }

      &-text {
        font-size: 14px;
        width: 100%;
        text-align: left;
        margin-left: 20px;
        line-height: 1;

        @include breakpoint(mobile){
          font-size: 3vw;
          width: 95%;
          margin-left: 10px;
        }

        p {
          margin:0;
        }
      }

      &-answer {
        font-size: 14px;
        text-align: right;
        line-height: 1;
        color: #17469E;
        font-family: 'GothamRounded-Medium';

        @include breakpoint(mobile){
          font-size: 3vw;
          width: 60%;
        }

        p {
          margin:0;
        }
      }
    }

    .result-last {

      &-row {
        display: flex;
        background: #fff;
        border:1px solid #ddd;
        border-radius: 20px;
        margin-top: 30px;
        padding: 20px;
        align-items: center;
        text-align: left;

        @include breakpoint(mobile){
          flex-direction: column;
          text-align: center;
        }
      }
      
      &-text {
        margin-left: 20px;

        @include breakpoint(mobile){
          margin:0;
        }
      }

      h5 {
        font-size: 14px;
        font-family: 'GothamRounded-Medium';
      }
      p {
        font-size: 12px;
      }
    }
  }

  .question {

    display: none;

    @include breakpoint(mobile){
      padding:0 0 40px;
    }

    &.active {
      display: block;
    }


    &.trimester-landing {
      p {
        font-size: 21px;
        color: #17479E;
        font-family: 'GothamRounded-Medium';
        font-weight: bold;
        line-height: 1.2;

        @include breakpoint(mobile){
          font-size:4.5vw;
        }
      }

      .question-nav {
        flex-direction: column;
        align-items: center;

        .btn {
          width: max-content;
        }
      }
    }
    &-heading {
      h2 {
        font-family: 'GothamRounded-Medium';
        font-size: 12px;
      }
      p {
        font-family: 'GothamRounded-Medium';
        font-size: 14px;
        color:#17469E;
        @include breakpoint(mobile){
          font-size:4vw;
        }
      }
      br {
        @include breakpoint(mobile){
          display:none;
        }
      }
    }

    &-choices {
      display: flex;
      justify-content: space-between;
      align-items: top;
      margin-bottom: 20px;

      &.--trimester {
        flex-direction: column;

        p {
          text-align: left;
        }

        .question-choice {
          align-items: flex-start;
          margin-bottom: 25px;
          padding-bottom:15px;
        }
        .question-action {
          width: 55%;

          @include breakpoint(mobile){
            width: 94%;
          }

          .btn {
            width: 100%;
            margin-right: 10px;
          }
        }
      }

      &.force-center {
        justify-content: center;
      }

      @include breakpoint(mobile){
        flex-direction: column;
      }
    }

    &-choice {
      background: #fff;
      border-radius:15px;
      box-shadow: 0px 0px 10px #ccc;
      flex-basis: 48%;
      padding: 15px 0 0;
      min-height: max-content;
      overflow: hidden;
      display:flex;
      flex-direction: column;
      justify-content: space-between;
      position:relative;
      padding-bottom:60px;

      &.hidden {
        display: none !important;
      }

      @include breakpoint(mobile){
        margin-bottom: 15px;
      }

      p {
        font-family: 'GothamRounded-Bold';
        font-size: 16px;
        margin: 0 15px;

        &.small {
          font-size: 8px;
        }
      }
      ul {
        text-align: left;
        padding-left:35px;
        font-size: 14px;
      }
    }

    &-action {
      display:flex;
      align-items: center;
      justify-content: space-between;
      margin: 15px;

      .btn {
        background: #E8F0F8;
        flex-basis: 48%;
        font-size:12px;
        font-family: 'GothamRounded-Medium';

        &.active {
          background: #17469E;
          color: #fff;
        }
      }

      &.--multiple {
        flex-direction: column;

        .btn {
          width: 100%;
          margin-bottom: 10px;
        }
      }
    }

    &-did {
      background: #F0F4F5;
      font-size: 9px;
      color: #0C5EA9;
      font-family: 'GothamRounded-Bold';
      width: 100%;
      position:absolute;
      bottom:0;
      cursor: pointer;
      height:auto;

      span {
        padding: 10px;
        display: block;
        &:hover {
          opacity: 0.9;
        }
      }

      strong {
        text-decoration: underline;
      }

      .question-popup {
        height:0;
        p {
          font-size:0;
        }
        font-size:0;
      }

      &.active {
        height: 55%;

        span {
          font-size:14px;
          strong {
            text-decoration: none;
          }
        }
        .question-popup {
          height:auto;
          p {
            font-size: 14px;
            color:#404040;
          }
          .question-tutup {
            font-size: 12px;
            color: #9CA5AE;
            background:#E7EEF1;
            padding:10px;
            position:absolute;
            bottom:0;
            width: 100%;
          }
        }
      }
    }

    &-nav {
      display: flex;
      justify-content: space-between;
      margin-top:35px;
    }

    &-prev {
      font-family: 'GothamRounded-Bold';
      font-size: 14px; 
      color:#195387;

      @include breakpoint(mobile){
       font-size:3vw;
      }
    }

    &-next {
      font-family: 'GothamRounded-Bold';
      font-size: 14px; 
      color:#fff;
      padding:10px 35px;
      @include breakpoint(mobile){
        font-size:3vw;
       }
    }

    .btn-primary {
      font-family: 'GothamRounded-Bold';
      font-size: 14px; 
      color:#fff;
      padding:10px 35px;
      @include breakpoint(mobile){
        font-size:3vw;
       }
    }
    
  }
}

@media print {
  
  .footer-nutriclub, footer {
    display: none!important;
  }
  .result-last {
    page-break-before: always;
  }
  .result-box {
    max-width: 100%;
    flex:1;
  }
  .result-yuk {
    display: none!important;
  }
  .floating-icon {
    display: none!important;
  }

}

.label-checkbox {
  display:flex;

  span {
    display:block;
    margin-left:10px;
    line-height: 1.5;
  }
  input {
    margin-top:5px;
  }
}

.error-msg {
  font-size: 10px;
  color: red;
  display:block;
  margin:5px 0 0 0;
  font-style: italic;
}